For the complete documentation index, see llms.txt. This page is also available as Markdown.

All work expressions

Fetch all work expressions.

Use the global work expressions API to fetch all work expressions your subscription has access to.

You can use the place-specific work expressions API to fetch work expressions for a particular place.

You can use the taxonomies work expressions API to fetch work expressions for a particular taxonomy topic.

Fetch work expressions for all places

get

List of work expressions across all places.

Authorizations
sessionidstringRequired
Query parameters
created_atstring · date-timeOptional
created_at__gtestring · date-timeOptional
created_at__ltestring · date-timeOptional
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

updated_atstring · date-timeOptional
updated_at__gtestring · date-timeOptional
updated_at__ltestring · date-timeOptional
Responses
200Success
application/json
countintegerOptionalExample: 123
nextstring · nullableOptional
previousstring · nullableOptional
get/v3/work-expressions
GET /v3/work-expressions HTTP/1.1
Accept: */*
200Success
{
  "count": 123,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "url": "https://example.com",
      "title": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "country": "text",
      "locality": "text",
      "nature": "text",
      "subtype": "text",
      "actor": "text",
      "year": "text",
      "number": "text",
      "frbr_uri": "text",
      "expression_frbr_uri": "text",
      "publication_date": "2026-01-01",
      "publication_name": "text",
      "publication_number": "text",
      "publication_document": {
        "url": "https://example.com",
        "filename": "text",
        "mime_type": "text",
        "size": 1
      },
      "commenced": true,
      "commenced_in_full": true,
      "commencement_date": "2026-01-01",
      "commencing_work": {
        "frbr_uri": "text",
        "title": "text"
      },
      "assent_date": "2026-01-01",
      "repeal": {
        "date": "2026-01-01",
        "repealing_title": "text",
        "repealing_uri": "text"
      },
      "parent_work": {
        "frbr_uri": "text",
        "title": "text"
      },
      "expression_date": "2026-01-01",
      "language": "text",
      "points_in_time": [
        {
          "date": "2026-01-01",
          "expressions": [
            {
              "url": "https://example.com",
              "language": "text",
              "expression_frbr_uri": "text",
              "expression_date": "2026-01-01",
              "title": "text"
            }
          ]
        }
      ],
      "amendments": [
        {
          "date": "2026-01-01",
          "amending_title": "text",
          "amending_uri": "text"
        }
      ],
      "work_amendments": [
        {
          "date": "2026-01-01",
          "amending_title": "text",
          "amending_uri": "text"
        }
      ],
      "stub": true,
      "principal": true,
      "numbered_title": "text",
      "taxonomy_topics": [
        "text"
      ],
      "as_at_date": "2026-01-01",
      "custom_properties": null,
      "type_name": "text",
      "amendments_made": "text",
      "enacted_as": "text",
      "repeals_made": "text",
      "commencements_made": "text",
      "links": [
        {
          "rel": "text",
          "title": "text",
          "href": "https://example.com",
          "media_type": "text"
        }
      ],
      "disclaimer": "text",
      "aliases": [
        "text"
      ]
    }
  ]
}

Last updated